Adriana,

Que bom conseguiu, porém ainda assim é legal você nos dizer a versão, eu 
por exemplo estou utilizando a versão 1.1.21 e ela não me dá estes 
problemas, inclusive foi exatamente por que ocorreu este problema, que 
eu mudei para essa versão, no qual acho até mais estável do que as 
demais, ela me atende bem, faça um teste ;)

At,

Adriana wrote:
> Já descobri como resolver o problema! Para o caso de alguém ter o
> mesmo problema apenas tem que fazer o seguinte:
> Editar o ficheiro ZPsycopgDA/db.py e alterar
> self.encoding = enc
> para
> self.encoding = "utf8"
>
> --- Em zope-pt@yahoogrupos.com.br, "Adriana" <[EMAIL PROTECTED]> escreveu
>   
>> Boa tarde,
>>
>> Instalei o ZPsycopgDA e estou a tentar conectar o Zope com uma base de
>> dados PostgreSQL. Preenchi o formulário na totalidade e obtive o
>> seguinte erro:
>>
>> Traceback (innermost last):
>>
>>     * Module ZPublisher.Publish, line 119, in publish
>>     * Module ZPublisher.mapply, line 88, in mapply
>>     * Module ZPublisher.Publish, line 42, in call_object
>>     * Module Products.ZPsycopgDA.DA, line 66, in
>> manage_addZPsycopgConnection
>>     * Module Products.ZPsycopgDA.DA, line 86, in __init__
>>     * Module Products.ZPsycopgDA.DA, line 101, in edit
>>     * Module Products.ZPsycopgDA.DA, line 132, in connect
>>     * Module Products.ZPsycopgDA.db, line 87, in open
>>     * Module Products.ZPsycopgDA.db, line 52, in getconn
>>
>> OperationalError: can't set encoding to
>>
>> REQUEST
>> form
>> zdatetime    'YES'
>> tilevel      1
>> title        'Z Psycopg 2 Database Connection'
>> submit       ' Add '
>> id   'Psycopg2_database_connection'
>> connection_string    'dbname=teste user=postgres'
>> check        'YES'
>>
>> Será que me podem ajudar a descobrir o problema? Já preenchi o campo
>> "Connection string" de muitas maneiras, mas continuo com o mesmo erro.
>>     


-- 
#!/bin/bash
# Name: Cleber J Santos
# Email: [EMAIL PROTECTED]
# Icq: 200007837


Responder a